Index: admin/js/_post.js
===================================================================
--- admin/js/_post.js	(revision 3483)
+++ admin/js/_post.js	(revision 3706)
@@ -1,189 +1,191 @@
-dotclear.viewCommentContent = function(line,action) {
-	var commentId = $(line).attr('id').substr(1);
-	var tr = document.getElementById('ce'+commentId);
+/*global $, dotclear, datePicker, commentTb */
+'use strict';
 
-	if (!tr) {
-		tr = document.createElement('tr');
-		tr.id = 'ce'+commentId;
-		var td = document.createElement('td');
-		td.colSpan = 6;
-		td.className = 'expand';
-		tr.appendChild(td);
+dotclear.viewCommentContent = function(line) {
+  var commentId = $(line).attr('id').substr(1);
+  var tr = document.getElementById('ce' + commentId);
 
-		// Get comment content
-		$.get('services.php',{f:'getCommentById',id: commentId},function(data) {
-			var rsp = $(data).children('rsp')[0];
+  if (!tr) {
+    tr = document.createElement('tr');
+    tr.id = 'ce' + commentId;
+    var td = document.createElement('td');
+    td.colSpan = 6;
+    td.className = 'expand';
+    tr.appendChild(td);
 
-			if (rsp.attributes[0].value == 'ok') {
-				var comment = $(rsp).find('comment_display_content').text();
+    // Get comment content
+    $.get('services.php', {
+      f: 'getCommentById',
+      id: commentId
+    }, function(data) {
+      var rsp = $(data).children('rsp')[0];
 
-				if (comment) {
-					$(td).append(comment);
-					var comment_email = $(rsp).find('comment_email').text();
-					var comment_site = $(rsp).find('comment_site').text();
-					var comment_ip = $(rsp).find('comment_ip').text();
-					var comment_spam_disp = $(rsp).find('comment_spam_disp').text();
+      if (rsp.attributes[0].value == 'ok') {
+        var comment = $(rsp).find('comment_display_content').text();
 
-					$(td).append('<p><strong>' + dotclear.msg.website +
-					'</strong> ' + comment_site + '<br />' +
-					'<strong>' + dotclear.msg.email + '</strong> ' +
-					comment_email + '<br />' + comment_spam_disp + '</p>');
-				}
-			} else {
-				alert($(rsp).find('message').text());
-			}
-		});
+        if (comment) {
+          $(td).append(comment);
+          var comment_email = $(rsp).find('comment_email').text();
+          var comment_site = $(rsp).find('comment_site').text();
+          //          var comment_ip = $(rsp).find('comment_ip').text();
+          var comment_spam_disp = $(rsp).find('comment_spam_disp').text();
 
-		$(line).toggleClass('expand');
-		line.parentNode.insertBefore(tr,line.nextSibling);
-	}
-	else if (tr.style.display == 'none')
-	{
-		$(tr).toggle();
-		$(line).toggleClass('expand');
-	}
-	else
-	{
-		$(tr).toggle();
-		$(line).toggleClass('expand');
-	}
+          $(td).append('<p><strong>' + dotclear.msg.website +
+            '</strong> ' + comment_site + '<br />' +
+            '<strong>' + dotclear.msg.email + '</strong> ' +
+            comment_email + '<br />' + comment_spam_disp + '</p>');
+        }
+      } else {
+        window.alert($(rsp).find('message').text());
+      }
+    });
+
+    $(line).toggleClass('expand');
+    line.parentNode.insertBefore(tr, line.nextSibling);
+  } else if (tr.style.display == 'none') {
+    $(tr).toggle();
+    $(line).toggleClass('expand');
+  } else {
+    $(tr).toggle();
+    $(line).toggleClass('expand');
+  }
 };
 
 $(function() {
-	// Post preview
-	$preview_url = $('#post-preview').attr('href');
-	if ($preview_url) {
+  // Post preview
+  var $preview_url = $('#post-preview').attr('href');
+  if ($preview_url) {
 
-		// Make $preview_url absolute
-		$a = document.createElement('a');
-		$a.href = $('#post-preview').attr('href');
-		$preview_url = $a.href;
+    // Make $preview_url absolute
+    var $a = document.createElement('a');
+    $a.href = $('#post-preview').attr('href');
+    $preview_url = $a.href;
 
-		// Check if admin and blog have same protocol (ie not mixed-content)
-		if (window.location.protocol == $preview_url.substring(0,window.location.protocol.length)) {
-			// Open preview in a modal iframe
-			$('#post-preview').magnificPopup({
-				type:'iframe',
-				iframe: {
-					patterns: {
-						dotclear_preview: {
-							index: $preview_url,
-							src: $preview_url
-						}
-					}
-				}
-			});
-		} else {
-			// Open preview on antother window
-			$('#post-preview').click(function(e) {
-				e.preventDefault();
-				window.open($(this).attr('href'));
-			});
-		}
-	}
+    // Check if admin and blog have same protocol (ie not mixed-content)
+    if (window.location.protocol == $preview_url.substring(0, window.location.protocol.length)) {
+      // Open preview in a modal iframe
+      $('#post-preview').magnificPopup({
+        type: 'iframe',
+        iframe: {
+          patterns: {
+            dotclear_preview: {
+              index: $preview_url,
+              src: $preview_url
+            }
+          }
+        }
+      });
+    } else {
+      // Open preview on antother window
+      $('#post-preview').click(function(e) {
+        e.preventDefault();
+        window.open($(this).attr('href'));
+      });
+    }
+  }
 
-	// Tabs events
-	$('#edit-entry').onetabload(function() {
-		dotclear.hideLockable();
+  // Tabs events
+  $('#edit-entry').onetabload(function() {
+    dotclear.hideLockable();
 
-		// Add date picker
-		var post_dtPick = new datePicker($('#post_dt').get(0));
-		post_dtPick.img_top = '1.5em';
-		post_dtPick.draw();
+    // Add date picker
+    var post_dtPick = new datePicker($('#post_dt').get(0));
+    post_dtPick.img_top = '1.5em';
+    post_dtPick.draw();
 
-		// Confirm post deletion
-		$('input[name="delete"]').click(function() {
-			return window.confirm(dotclear.msg.confirm_delete_post);
-		});
+    // Confirm post deletion
+    $('input[name="delete"]').click(function() {
+      return window.confirm(dotclear.msg.confirm_delete_post);
+    });
 
-		// Hide some fields
-		$('#notes-area label').toggleWithLegend($('#notes-area').children().not('label'),{
-			user_pref: 'dcx_post_notes',
-			legend_click:true,
-			hide: $('#post_notes').val() == ''
-		});
-		$('#post_lang').parent().children('label').toggleWithLegend($('#post_lang'),{
-			user_pref: 'dcx_post_lang',
-			legend_click: true
-		});
-		$('#post_password').parent().children('label').toggleWithLegend($('#post_password'),{
-			user_pref: 'dcx_post_password',
-			legend_click: true,
-			hide: $('#post_password').val() == ''
-		});
-		$('#post_status').parent().children('label').toggleWithLegend($('#post_status'),{
-			user_pref: 'dcx_post_status',
-			legend_click: true
-		});
-		$('#post_dt').parent().children('label').toggleWithLegend($('#post_dt').parent().children().not('label'),{
-			user_pref: 'dcx_post_dt',
-			legend_click: true
-		});
-		$('#label_format').toggleWithLegend($('#label_format').parent().children().not('#label_format'),{
-			user_pref: 'dcx_post_format',
-			legend_click: true
-		});
-		$('#label_cat_id').toggleWithLegend($('#label_cat_id').parent().children().not('#label_cat_id'),{
-			user_pref: 'dcx_cat_id',
-			legend_click: true
-		});
-		$('#create_cat').toggleWithLegend($('#create_cat').parent().children().not('#create_cat'),{
-			// no cookie on new category as we don't use this every day
-			legend_click: true
-		});
-		$('#label_comment_tb').toggleWithLegend($('#label_comment_tb').parent().children().not('#label_comment_tb'),{
-			user_pref: 'dcx_comment_tb',
-			legend_click: true
-		});
-		$('#post_url').parent().children('label').toggleWithLegend($('#post_url').parent().children().not('label'),{
-			user_pref: 'post_url',
-			legend_click: true
-		});
-		// We load toolbar on excerpt only when it's ready
-		$('#excerpt-area label').toggleWithLegend($('#excerpt-area').children().not('label'),{
-			user_pref: 'dcx_post_excerpt',
-			legend_click: true,
-			hide: $('#post_excerpt').val() == ''
-		});
+    // Hide some fields
+    $('#notes-area label').toggleWithLegend($('#notes-area').children().not('label'), {
+      user_pref: 'dcx_post_notes',
+      legend_click: true,
+      hide: $('#post_notes').val() == ''
+    });
+    $('#post_lang').parent().children('label').toggleWithLegend($('#post_lang'), {
+      user_pref: 'dcx_post_lang',
+      legend_click: true
+    });
+    $('#post_password').parent().children('label').toggleWithLegend($('#post_password'), {
+      user_pref: 'dcx_post_password',
+      legend_click: true,
+      hide: $('#post_password').val() == ''
+    });
+    $('#post_status').parent().children('label').toggleWithLegend($('#post_status'), {
+      user_pref: 'dcx_post_status',
+      legend_click: true
+    });
+    $('#post_dt').parent().children('label').toggleWithLegend($('#post_dt').parent().children().not('label'), {
+      user_pref: 'dcx_post_dt',
+      legend_click: true
+    });
+    $('#label_format').toggleWithLegend($('#label_format').parent().children().not('#label_format'), {
+      user_pref: 'dcx_post_format',
+      legend_click: true
+    });
+    $('#label_cat_id').toggleWithLegend($('#label_cat_id').parent().children().not('#label_cat_id'), {
+      user_pref: 'dcx_cat_id',
+      legend_click: true
+    });
+    $('#create_cat').toggleWithLegend($('#create_cat').parent().children().not('#create_cat'), {
+      // no cookie on new category as we don't use this every day
+      legend_click: true
+    });
+    $('#label_comment_tb').toggleWithLegend($('#label_comment_tb').parent().children().not('#label_comment_tb'), {
+      user_pref: 'dcx_comment_tb',
+      legend_click: true
+    });
+    $('#post_url').parent().children('label').toggleWithLegend($('#post_url').parent().children().not('label'), {
+      user_pref: 'post_url',
+      legend_click: true
+    });
+    // We load toolbar on excerpt only when it's ready
+    $('#excerpt-area label').toggleWithLegend($('#excerpt-area').children().not('label'), {
+      user_pref: 'dcx_post_excerpt',
+      legend_click: true,
+      hide: $('#post_excerpt').val() == ''
+    });
 
-		// Replace attachment remove links by a POST form submit
-		$('a.attachment-remove').click(function() {
-			this.href = '';
-			var m_name = $(this).parents('ul').find('li:first>a').attr('title');
-			if (window.confirm(dotclear.msg.confirm_remove_attachment.replace('%s',m_name))) {
-				var f = $('#attachment-remove-hide').get(0);
-				f.elements['media_id'].value = this.id.substring(11);
-				f.submit();
-			}
-			return false;
-		});
-	});
+    // Replace attachment remove links by a POST form submit
+    $('a.attachment-remove').click(function() {
+      this.href = '';
+      var m_name = $(this).parents('ul').find('li:first>a').attr('title');
+      if (window.confirm(dotclear.msg.confirm_remove_attachment.replace('%s', m_name))) {
+        var f = $('#attachment-remove-hide').get(0);
+        f.elements.media_id.value = this.id.substring(11);
+        f.submit();
+      }
+      return false;
+    });
+  });
 
-	$('#comments').onetabload(function() {
-		$.expandContent({
-			lines:$('#form-comments .comments-list tr.line'),
-			callback:dotclear.viewCommentContent
-		});
-		$('#form-comments .checkboxes-helpers').each(function() {
-			dotclear.checkboxesHelpers(this);
-		});
+  $('#comments').onetabload(function() {
+    $.expandContent({
+      lines: $('#form-comments .comments-list tr.line'),
+      callback: dotclear.viewCommentContent
+    });
+    $('#form-comments .checkboxes-helpers').each(function() {
+      dotclear.checkboxesHelpers(this);
+    });
 
-		dotclear.commentsActionsHelper();
-	});
+    dotclear.commentsActionsHelper();
+  });
 
-	$('#trackbacks').onetabload(function() {
-		$.expandContent({
-			lines:$('#form-trackbacks .comments-list tr.line'),
-			callback:dotclear.viewCommentContent
-		});
-		$('#form-trackbacks .checkboxes-helpers').each(function() {
-			dotclear.checkboxesHelpers(this);
-		});
+  $('#trackbacks').onetabload(function() {
+    $.expandContent({
+      lines: $('#form-trackbacks .comments-list tr.line'),
+      callback: dotclear.viewCommentContent
+    });
+    $('#form-trackbacks .checkboxes-helpers').each(function() {
+      dotclear.checkboxesHelpers(this);
+    });
 
-		dotclear.commentsActionsHelper();
-	});
+    dotclear.commentsActionsHelper();
+  });
 
-	$('#add-comment').onetabload(function() {
-		commentTb.draw('xhtml');
-	});
+  $('#add-comment').onetabload(function() {
+    commentTb.draw('xhtml');
+  });
 });
Index: admin/js/_posts_actions.js
===================================================================
--- admin/js/_posts_actions.js	(revision 3182)
+++ admin/js/_posts_actions.js	(revision 3706)
@@ -1,16 +1,18 @@
+/*global $, dotclear, usersList */
+'use strict';
+
 $(function() {
-	new_auth_id = $('#new_auth_id');
-	if (new_auth_id.length) {
-		new_auth_id.autocomplete(usersList,
-		{
-			delay: 1000,
-			matchSubset: true,
-			matchContains: true
-		});
-	}
-	$('#new_cat').toggleWithLegend($('#new_cat').parent().children().not('#new_cat'), {
-		// no cookie on new category as we don't use this every day
-		legend_click: true
-	});
-	dotclear.condSubmit('table.posts-list td input[type=checkbox]','input[type=submit]');
+  var new_auth_id = $('#new_auth_id');
+  if (new_auth_id.length) {
+    new_auth_id.autocomplete(usersList, {
+      delay: 1000,
+      matchSubset: true,
+      matchContains: true
+    });
+  }
+  $('#new_cat').toggleWithLegend($('#new_cat').parent().children().not('#new_cat'), {
+    // no cookie on new category as we don't use this every day
+    legend_click: true
+  });
+  dotclear.condSubmit('table.posts-list td input[type=checkbox]', 'input[type=submit]');
 });
Index: admin/js/_posts_list.js
===================================================================
--- admin/js/_posts_list.js	(revision 3182)
+++ admin/js/_posts_list.js	(revision 3706)
@@ -1,67 +1,70 @@
-dotclear.viewPostContent = function(line,action) {
-	var action = action || 'toggle';
-	var postId = $(line).attr('id').substr(1);
-	var tr = document.getElementById('pe'+postId);
+/*global $, dotclear */
+'use strict';
 
-	if ( !tr && ( action == 'toggle' || action == 'open' ) ) {
-		tr = document.createElement('tr');
-		tr.id = 'pe'+postId;
-		var td = document.createElement('td');
-		td.colSpan = 8;
-		td.className = 'expand';
-		tr.appendChild(td);
+dotclear.viewPostContent = function(line, action) {
+  action = action || 'toggle';
+  var postId = $(line).attr('id').substr(1);
+  var tr = document.getElementById('pe' + postId);
 
-		// Get post content
-		$.get('services.php',{f:'getPostById', id: postId, post_type: ''},function(data) {
-			var rsp = $(data).children('rsp')[0];
+  if (!tr && (action == 'toggle' || action == 'open')) {
+    tr = document.createElement('tr');
+    tr.id = 'pe' + postId;
+    var td = document.createElement('td');
+    td.colSpan = 8;
+    td.className = 'expand';
+    tr.appendChild(td);
 
-			if (rsp.attributes[0].value == 'ok') {
-				var post = $(rsp).find('post_display_content').text();
-				var post_excerpt = $(rsp).find('post_display_excerpt').text();
-				var res = '';
+    // Get post content
+    $.get('services.php', {
+      f: 'getPostById',
+      id: postId,
+      post_type: ''
+    }, function(data) {
+      var rsp = $(data).children('rsp')[0];
 
-				if (post) {
-					if (post_excerpt) {
-						res += post_excerpt + '<hr />';
-					}
-					res += post;
-					$(td).append(res);
-				}
-			} else {
-				alert($(rsp).find('message').text());
-			}
-		});
+      if (rsp.attributes[0].value == 'ok') {
+        var post = $(rsp).find('post_display_content').text();
+        var post_excerpt = $(rsp).find('post_display_excerpt').text();
+        var res = '';
 
-		$(line).addClass('expand');
-		line.parentNode.insertBefore(tr,line.nextSibling);
-	}
-	else if (tr && tr.style.display == 'none' && ( action == 'toggle' || action == 'open' ) )
-	{
-		$(tr).css('display', 'table-row');
-		$(line).addClass('expand');
-	}
-	else if (tr && tr.style.display != 'none' && ( action == 'toggle' || action == 'close' ) )
-	{
-		$(tr).css('display', 'none');
-		$(line).removeClass('expand');
-	}
+        if (post) {
+          if (post_excerpt) {
+            res += post_excerpt + '<hr />';
+          }
+          res += post;
+          $(td).append(res);
+        }
+      } else {
+        window.alert($(rsp).find('message').text());
+      }
+    });
+
+    $(line).addClass('expand');
+    line.parentNode.insertBefore(tr, line.nextSibling);
+  } else if (tr && tr.style.display == 'none' && (action == 'toggle' || action == 'open')) {
+    $(tr).css('display', 'table-row');
+    $(line).addClass('expand');
+  } else if (tr && tr.style.display != 'none' && (action == 'toggle' || action == 'close')) {
+    $(tr).css('display', 'none');
+    $(line).removeClass('expand');
+  }
 };
 
 $(function() {
-	// Entry type switcher
-	$('#type').change(function() {
-		this.form.submit();
-	});
+  // Entry type switcher
+  $('#type').change(function() {
+    this.form.submit();
+  });
 
-	$.expandContent({
-		line:$('#form-entries tr:not(.line)'),
-		lines:$('#form-entries tr.line'),
-		callback:dotclear.viewPostContent
-	});
-	$('.checkboxes-helpers').each(function() {
-		dotclear.checkboxesHelpers(this,undefined,'#form-entries td input[type=checkbox]','#form-entries #do-action');
-	});
-	$('#form-entries td input[type=checkbox]').enableShiftClick();
-	dotclear.condSubmit('#form-entries td input[type=checkbox]','#form-entries #do-action');
-	dotclear.postsActionsHelper();
+  $.expandContent({
+    line: $('#form-entries tr:not(.line)'),
+    lines: $('#form-entries tr.line'),
+    callback: dotclear.viewPostContent
+  });
+  $('.checkboxes-helpers').each(function() {
+    dotclear.checkboxesHelpers(this, undefined, '#form-entries td input[type=checkbox]', '#form-entries #do-action');
+  });
+  $('#form-entries td input[type=checkbox]').enableShiftClick();
+  dotclear.condSubmit('#form-entries td input[type=checkbox]', '#form-entries #do-action');
+  dotclear.postsActionsHelper();
 });
Index: admin/js/_preferences-dragdrop.js
===================================================================
--- admin/js/_preferences-dragdrop.js	(revision 2566)
+++ admin/js/_preferences-dragdrop.js	(revision 3706)
@@ -1,14 +1,23 @@
+/*global $ */
+'use strict';
+
 $(function() {
-	$("#my-favs ul").sortable({'cursor':'move'});
-	$("#my-favs ul, #my-favs ul *").css({'cursor':'move'});
-	$("#my-favs ul input").css({'cursor':'auto'});
-	$('#favs-form').submit(function() {
-		var order=[];
-		$("#my-favs ul li input.position").each(function() {
-			order.push(this.name.replace(/^order\[([^\]]+)\]$/,'$1'));
-		});
-		$("input[name=favs_order]")[0].value = order.join(',');
-		return true;
-	});
-	$("#my-favs ul li input.position").hide();
+  $('#my-favs ul').sortable({
+    'cursor': 'move'
+  });
+  $('#my-favs ul, #my-favs ul *').css({
+    'cursor': 'move'
+  });
+  $('#my-favs ul input').css({
+    'cursor': 'auto'
+  });
+  $('#favs-form').submit(function() {
+    var order = [];
+    $('#my-favs ul li input.position').each(function() {
+      order.push(this.name.replace(/^order\[([^\]]+)\]$/, '$1'));
+    });
+    $('input[name=favs_order]')[0].value = order.join(',');
+    return true;
+  });
+  $('#my-favs ul li input.position').hide();
 });
Index: admin/js/_preferences.js
===================================================================
--- admin/js/_preferences.js	(revision 3685)
+++ admin/js/_preferences.js	(revision 3706)
@@ -1,2 +1,5 @@
+/*global $ */
+'use strict';
+
 $(function() {
   if ($('#new_pwd').length == 0) {
@@ -5,5 +8,5 @@
   var user_email = $('#user_email').val();
   $('#user-form').submit(function() {
-    var e = this.elements['cur_pwd'];
+    var e = this.elements.cur_pwd;
     if (e.value != '') {
       return true;
@@ -11,5 +14,5 @@
     if ($('#user_email').val() != user_email || $('#new_pwd').val() != '') {
       $(e).addClass('missing').focusout(function() {
-        $(this).removeClass('missing')
+        $(this).removeClass('missing');
       });
       e.focus();
Index: admin/js/_trackbacks.js
===================================================================
--- admin/js/_trackbacks.js	(revision 2566)
+++ admin/js/_trackbacks.js	(revision 3706)
@@ -1,7 +1,10 @@
+/*global $ */
+'use strict';
+
 $(function() {
-	$('#tb_excerpt').keypress(function() {
-		if (this.value.length > 255) {
-			this.value = this.value.substring(0,255);
-		}
-	});
+  $('#tb_excerpt').keypress(function() {
+    if (this.value.length > 255) {
+      this.value = this.value.substring(0, 255);
+    }
+  });
 });
Index: admin/js/_update.js
===================================================================
--- admin/js/_update.js	(revision 2503)
+++ admin/js/_update.js	(revision 3706)
@@ -1,8 +1,11 @@
+/*global $, dotclear */
+'use strict';
+
 $(function() {
-	$('form input[type=submit][name=b_del]').click(function(){
- 		return window.confirm(dotclear.msg.confirm_delete_backup);
- 	});
-	$('form input[type=submit][name=b_revert]').click(function(){
- 		return window.confirm(dotclear.msg.confirm_revert_backup);
- 	});
+  $('form input[type=submit][name=b_del]').click(function() {
+    return window.confirm(dotclear.msg.confirm_delete_backup);
+  });
+  $('form input[type=submit][name=b_revert]').click(function() {
+    return window.confirm(dotclear.msg.confirm_revert_backup);
+  });
 });
Index: admin/js/_users.js
===================================================================
--- admin/js/_users.js	(revision 3182)
+++ admin/js/_users.js	(revision 3706)
@@ -1,49 +1,52 @@
+/*global $, dotclear */
+'use strict';
+
 $(function() {
-	$('.checkboxes-helpers').each(function() {
-		dotclear.checkboxesHelpers(this,undefined,'#form-users input[type="checkbox"]','#form-users #do-action');
-	});
-	dotclear.condSubmit('#form-users input[type="checkbox"]','#form-users #do-action');
-	$('#form-users').submit(function() {
-		var action = $(this).find('select[name="action"]').val();
-		var user_ids = new Array();
-		var nb_posts = new Array();
-		var i;
-		var msg_cannot_delete = false;
+  $('.checkboxes-helpers').each(function() {
+    dotclear.checkboxesHelpers(this, undefined, '#form-users input[type="checkbox"]', '#form-users #do-action');
+  });
+  dotclear.condSubmit('#form-users input[type="checkbox"]', '#form-users #do-action');
+  $('#form-users').submit(function() {
+    var action = $(this).find('select[name="action"]').val();
+    var user_ids = [];
+    var nb_posts = [];
+    var i;
+    var msg_cannot_delete = false;
 
-		$(this).find('input[name="users[]"]').each(function() {
-			user_ids.push(this);
-		});
-		$(this).find('input[name="nb_post[]"]').each(function() {
-			nb_posts.push(this.value);
-		});
+    $(this).find('input[name="users[]"]').each(function() {
+      user_ids.push(this);
+    });
+    $(this).find('input[name="nb_post[]"]').each(function() {
+      nb_posts.push(this.value);
+    });
 
-		if (action == 'deleteuser') {
-			for (i=0; i<user_ids.length; i++) {
-				if (nb_posts[i] > 0) {
-					if (user_ids[i].checked == true) {
-						msg_cannot_delete = true;
-						user_ids[i].checked = false;
-					}
-				}
-			}
-			if (msg_cannot_delete == true) {
-				alert(dotclear.msg.cannot_delete_users);
-			}
-		}
+    if (action == 'deleteuser') {
+      for (i = 0; i < user_ids.length; i++) {
+        if (nb_posts[i] > 0) {
+          if (user_ids[i].checked == true) {
+            msg_cannot_delete = true;
+            user_ids[i].checked = false;
+          }
+        }
+      }
+      if (msg_cannot_delete == true) {
+        window.alert(dotclear.msg.cannot_delete_users);
+      }
+    }
 
-		var selectfields = 0;
-		for (i=0; i<user_ids.length; i++) {
-			selectfields += user_ids[i].checked;
-		}
+    var selectfields = 0;
+    for (i = 0; i < user_ids.length; i++) {
+      selectfields += user_ids[i].checked;
+    }
 
-		if (selectfields == 0) {
-			return false;
-		}
+    if (selectfields == 0) {
+      return false;
+    }
 
-		if (action == 'deleteuser') {
-			return window.confirm(dotclear.msg.confirm_delete_user.replace('%s',$('input[name="users[]"]:checked').size()));
-		}
+    if (action == 'deleteuser') {
+      return window.confirm(dotclear.msg.confirm_delete_user.replace('%s', $('input[name="users[]"]:checked').size()));
+    }
 
-		return true;
-	});
+    return true;
+  });
 });
Index: admin/js/_users_actions.js
===================================================================
--- admin/js/_users_actions.js	(revision 3182)
+++ admin/js/_users_actions.js	(revision 3706)
@@ -1,99 +1,109 @@
+/*global $, jQuery, dotclear */
+'use strict';
+
 jQuery.fn.updatePermissionsForm = function() {
-	return this.each(function() {
+  return this.each(function() {
 
-		var perms = {};
-		var re = /^perm\[(.+?)\]\[(.+?)\]$/;
-		var e,prop;
+    var perms = {};
+    var re = /^perm\[(.+?)\]\[(.+?)\]$/;
+    var e, prop;
 
-		// Building a nice object of form elements
-		for (var i=0; i<this.elements.length; i++) {
-			e = this.elements[i];
+    var admin = function(E, perms, re) {
+      var P = E.name.match(re);
 
-			if (e.name == undefined) {
-				continue;
-			}
-			var prop;
-			prop = e.name.match(re);
-			if (!prop) {
-				continue;
-			}
-			if (perms[prop[1]] == undefined) {
-				perms[prop[1]] = {};
-			}
-			perms[prop[1]][prop[2]] = e;
+      perms[P[1]].usage.checked = E.checked;
+      perms[P[1]].publish.checked = E.checked;
+      perms[P[1]].delete.checked = E.checked;
+      perms[P[1]].contentadmin.checked = E.checked;
+      perms[P[1]].categories.checked = E.checked;
+      perms[P[1]].media.checked = E.checked;
+      perms[P[1]].media_admin.checked = E.checked;
 
-			// select related permissions for admin
-			if (prop[2] == 'admin') {
-				if (e.checked) {
-					admin(e,perms,re);
-				}
-				$(e).click(function(){
-					admin(this,perms,re);
-				});
-			// select related permissions for content admin
-			} else if (prop[2] == 'contentadmin') {
-				if (e.checked) {
-					contentadmin(e,perms,re);
-				}
-				$(e).click(function(){
-					contentadmin(this,perms,re);
-				});
-			// select related permissions for media admin
-			} else if (prop[2] == 'media_admin') {
-				if (e.checked) {
-					mediaadmin(e,perms,re);
-				}
-				$(e).click(function(){
-					mediaadmin(this,perms,re);
-				});
-			}
-		}
+      perms[P[1]].usage.disabled = E.checked;
+      perms[P[1]].publish.disabled = E.checked;
+      perms[P[1]].delete.disabled = E.checked;
+      perms[P[1]].contentadmin.disabled = E.checked;
+      perms[P[1]].categories.disabled = E.checked;
+      perms[P[1]].media.disabled = E.checked;
+      perms[P[1]].media_admin.disabled = E.checked;
+    };
 
-		function admin(E,perms,re) {
-					P = E.name.match(re);
+    var contentadmin = function(E, perms, re) {
+      var P = E.name.match(re);
 
-					perms[P[1]]['usage'].checked = E.checked;
-					perms[P[1]]['publish'].checked = E.checked;
-					perms[P[1]]['delete'].checked = E.checked;
-					perms[P[1]]['contentadmin'].checked = E.checked;
-					perms[P[1]]['categories'].checked = E.checked;
-					perms[P[1]]['media'].checked = E.checked;
-					perms[P[1]]['media_admin'].checked = E.checked;
-					perms[P[1]]['usage'].disabled = E.checked;
-					perms[P[1]]['publish'].disabled = E.checked;
-					perms[P[1]]['delete'].disabled = E.checked;
-					perms[P[1]]['contentadmin'].disabled = E.checked;
-					perms[P[1]]['categories'].disabled = E.checked;
-					perms[P[1]]['media'].disabled = E.checked;
-					perms[P[1]]['media_admin'].disabled = E.checked;
-		}
+      perms[P[1]].usage.checked = E.checked;
+      perms[P[1]].publish.checked = E.checked;
+      perms[P[1]].delete.checked = E.checked;
 
-		function contentadmin(E,perms,re) {
-					P = E.name.match(re);
+      perms[P[1]].usage.disabled = E.checked;
+      perms[P[1]].publish.disabled = E.checked;
+      perms[P[1]].delete.disabled = E.checked;
+    };
 
-					perms[P[1]]['usage'].checked = E.checked;
-					perms[P[1]]['publish'].checked = E.checked;
-					perms[P[1]]['delete'].checked = E.checked;
-					perms[P[1]]['usage'].disabled = E.checked;
-					perms[P[1]]['publish'].disabled = E.checked;
-					perms[P[1]]['delete'].disabled = E.checked;
-		}
+    var mediaadmin = function(E, perms, re) {
+      var P = E.name.match(re);
 
-		function mediaadmin(E,perms,re) {
-					P = E.name.match(re);
+      perms[P[1]].media.checked = E.checked;
 
-					perms[P[1]]['media'].checked = E.checked;
-					perms[P[1]]['media'].disabled = E.checked;
-		}
+      perms[P[1]].media.disabled = E.checked;
+    };
 
-
-	});
+    // Building a nice object of form elements
+    for (var i = 0; i < this.elements.length; i++) {
+      e = this.elements[i];
+      if (e.name == undefined) {
+        continue;
+      }
+      prop = e.name.match(re);
+      if (!prop) {
+        continue;
+      }
+      if (perms[prop[1]] == undefined) {
+        perms[prop[1]] = {};
+      }
+      perms[prop[1]][prop[2]] = e;
+    }
+    // Populate states
+    for (var blog in perms) {
+      // Loop on blog
+      for (var element in perms[blog]) {
+        // Loop on permission
+        e = perms[blog][element];
+        prop = e.name.match(re);
+        if (prop[2] == 'admin') {
+          // select related permissions for admin
+          if (e.checked) {
+            admin(e, perms, re);
+          }
+          $(e).click(function() {
+            admin(this, perms, re);
+          });
+        } else if (prop[2] == 'contentadmin') {
+          // select related permissions for content admin
+          if (e.checked) {
+            contentadmin(e, perms, re);
+          }
+          $(e).click(function() {
+            contentadmin(this, perms, re);
+          });
+        } else if (prop[2] == 'media_admin') {
+          // select related permissions for media admin
+          if (e.checked) {
+            mediaadmin(e, perms, re);
+          }
+          $(e).click(function() {
+            mediaadmin(this, perms, re);
+          });
+        }
+      }
+    }
+  });
 };
 
 $(function() {
-	$('.checkboxes-helpers').each(function() {
-		dotclear.checkboxesHelpers(this,undefined,'#form-blogs input[type="checkbox"]','#form-blogs #do-action');
-	});
-	dotclear.condSubmit('#form-blogs input[type="checkbox"]','#form-blogs #do-action');
-	$('#permissions-form').updatePermissionsForm();
+  $('.checkboxes-helpers').each(function() {
+    dotclear.checkboxesHelpers(this, undefined, '#form-blogs input[type="checkbox"]', '#form-blogs #do-action');
+  });
+  dotclear.condSubmit('#form-blogs input[type="checkbox"]', '#form-blogs #do-action');
+  $('#permissions-form').updatePermissionsForm();
 });
